Fri, 18 Oct 2019 13:26:30 UTC | login

Information for build nodejs-packaging-7-1.el7

ID8188
Package Namenodejs-packaging
Version7
Release1.el7
Epoch
SummaryRPM Macros and Utilities for Node.js Packaging
DescriptionThis package contains RPM macros and other utilities useful for packaging Node.js modules and applications in RPM-based distributions.
Built byhguemar
State complete
StartedWed, 23 Dec 2015 02:14:11 UTC
CompletedWed, 23 Dec 2015 02:16:29 UTC
Taskbuild (cloud7-openstack-optools-el7, nodejs-packaging-7-1.el7.src.rpm)
Tags
cloud7-openstack-optools-candidate
RPMs
src
nodejs-packaging-7-1.el7.src.rpm (info) (download)
noarch (build logs)
nodejs-packaging-7-1.el7.noarch.rpm (info) (download)
Changelog * Sun May 25 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 7-1 - nodejs-symlink-deps: fix regression preventing multiply versioned modules from being symlinked correctly * Sat May 24 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 6-1 - nodejs-fixdep: use real option parsing - nodejs-fixdep: support modifying optionalDependencies and devDependencies - req: support the caret operator - nodejs-symlink-deps: add --force option - nodejs-symlink-deps: add --build alias for --check - nodejs-fixdep: support converting to caret dependencies - nodejs-fixdep: support non-dictionary dependency properties - multiver_modules: add nan * Mon Jul 29 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 4-1 - handle cases where the symlink target exists gracefully * Wed Jul 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 3-1 - dependencies and engines can be lists or strings too - handle unversioned dependencies on multiply versioned modules correctly (RHBZ#982798) - restrict to compatible arches * Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2-1 - move multiple version list to /usr/share/node - bump nodejs Requires to 0.10.12 - add Requires: redhat-rpm-config * Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1-1 - initial package